# Yafoy

[![Build Status](https://semaphoreci.com/api/v1/projects/e60da226-02bf-4a28-a984-d0bc0a80bb77/3136468/badge.svg)](https://semaphoreci.com/olimart/yafoy-oembed)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'yafoy-oembed'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install yafoy-oembed

## Usage

Retrieve custom providers

```ruby
Yafoy::OEmbed::Provider.list
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

To experiment with that code, run `bin/console` for an interactive prompt.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
